ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-15469) After upgrading from Ambari 2.1.2 to 2.2.1, HDP from 2.3.0 to 2.3.4 , user is getting 'Consistency Check Failed' error while trying to save configuration in Ranger, Hive and HBase
Date Fri, 18 Mar 2016 15:48:33 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-15469?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitry Lysnichenko updated AMBARI-15469:
----------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed
To https://git-wip-us.apache.org/repos/asf/ambari.git
   acb2903..f76f1a6  branch-2.2 -> branch-2.2
   711e64a..d752f5e  trunk -> trunk


> After upgrading from Ambari 2.1.2 to 2.2.1, HDP from 2.3.0 to 2.3.4 , user is getting
'Consistency Check Failed' error while trying to save configuration in Ranger, Hive and HBase
> -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-15469
>                 URL: https://issues.apache.org/jira/browse/AMBARI-15469
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>         Attachments: AMBARI-15469.patch
>
>
> PROBLEM:After upgrading from Ambari 2.1.2 to 2.2.1, HDP from 2.3.0 to 2.3.4 , user is
getting 'Consistency Check Failed' error while trying to save configuration in Ranger, Hive
and HBase
> Please find the attached screenshot, and ambari-server log for more information.
> {code}
> Error occured in stack advisor.
> Error details: list.remove(x): x not in list
> 14 Mar 2016 14:31:26,241  INFO [qtp-ambari-client-23360] StackAdvisorRunner:71 -    
advisor script stderr: Traceback (most recent call last):
> File "/var/lib/ambari-server/resources/scripts/stack_advisor.py", line 158, in <module>
> main(sys.argv)
> File "/var/lib/ambari-server/resources/scripts/stack_advisor.py", line 109, in main
> result = stackAdvisor.recommendConfigurations(services, hosts)
> File "/var/lib/ambari-server/resources/scripts/../stacks/stack_advisor.py", line 569,
in recommendConfigurations
> calculation(configurations, clusterSummary, services, hosts)
> File "/var/lib/ambari-server/resources/scripts/./../stacks/HDP/2.3/services/stack_advisor.py",
line 239, in recommendHBASEConfigurations
> super(HDP23StackAdvisor, self).recommendHBASEConfigurations(configurations, clusterData,
services, hosts)
> File "/var/lib/ambari-server/resources/scripts/./../stacks/HDP/2.2/services/stack_advisor.py",
line 665, in recommendHBASEConfigurations
> hbaseCoProcessorConfigs['hbase.coprocessor.master.classes'].remove('org.apache.hadoop.hbase.security.access.AccessController')
> ValueError: list.remove(x): x not in list
> {code}
> Looks like property 'hbase.coprocessor.master.classes' is empty. The workaround is by
putting value org.apache.hadoop.hbase.security.access.AccessController there.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message